Skip to main content
GET
Get Stations Around

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

connector_types
enum<string>[]

List of connector types to filter stations

  • CHADEMO - CHADEMO
  • DOMESTIC_A - DOMESTIC_A
  • DOMESTIC_B - DOMESTIC_B
  • DOMESTIC_C - DOMESTIC_C
  • DOMESTIC_D - DOMESTIC_D
  • DOMESTIC_E - DOMESTIC_E
  • DOMESTIC_F - DOMESTIC_F
  • DOMESTIC_G - DOMESTIC_G
  • DOMESTIC_H - DOMESTIC_H
  • DOMESTIC_I - DOMESTIC_I
  • DOMESTIC_J - DOMESTIC_J
  • DOMESTIC_K - DOMESTIC_K
  • DOMESTIC_L - DOMESTIC_L
  • IEC_60309_2_single_16 - IEC_60309_2_single_16
  • IEC_60309_2_three_16 - IEC_60309_2_three_16
  • IEC_60309_2_three_32 - IEC_60309_2_three_32
  • IEC_60309_2_three_64 - IEC_60309_2_three_64
  • IEC_62196_T1 - IEC_62196_T1
  • IEC_62196_T1_COMBO - IEC_62196_T1_COMBO
  • IEC_62196_T2 - IEC_62196_T2
  • IEC_62196_T2_COMBO - IEC_62196_T2_COMBO
  • IEC_62196_T3A - IEC_62196_T3A
  • IEC_62196_T3C - IEC_62196_T3C
  • TESLA_R - TESLA_R
  • TESLA_S - TESLA_S
Available options:
CHADEMO,
DOMESTIC_A,
DOMESTIC_B,
DOMESTIC_C,
DOMESTIC_D,
DOMESTIC_E,
DOMESTIC_F,
DOMESTIC_G,
DOMESTIC_H,
DOMESTIC_I,
DOMESTIC_J,
DOMESTIC_K,
DOMESTIC_L,
IEC_60309_2_single_16,
IEC_60309_2_three_16,
IEC_60309_2_three_32,
IEC_60309_2_three_64,
IEC_62196_T1,
IEC_62196_T1_COMBO,
IEC_62196_T2,
IEC_62196_T2_COMBO,
IEC_62196_T3A,
IEC_62196_T3C,
TESLA_R,
TESLA_S
distance
integer
default:100

Radius to search stations (in meters).

latitude
number<double>
required

Latitude of the center of the search area.

longitude
number<double>
required

Longitude of the center of the search area.

only_available
boolean
default:false

Whether to show only available stations

only_partners
boolean
default:false

Whether to show only partner stations

operators
string[]

List of partner operator names to filter stations

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"